<?php
// Set up Magazine Premium information
$bavotasan_theme_data = get_theme_data(TEMPLATEPATH.'/style.css');
define('THEME_NAME', $bavotasan_theme_data['Name']);
define('THEME_AUTHOR', $bavotasan_theme_data['Author']);
define('THEME_HOMEPAGE', $bavotasan_theme_data['URI']);
define('THEME_VERSION', trim($bavotasan_theme_data['Version']));
define('THEME_URL', get_bloginfo('template_url'));
define('THEME_FILE', str_replace(" ", "-", strtolower(THEME_NAME)));

// Make theme available for translation
// Translations can be filed in the /languages/ directory
load_theme_textdomain(THEME_FILE, TEMPLATEPATH . '/languages');

$locale = get_locale();
$locale_file = TEMPLATEPATH . "/languages/$locale.php";
if ( is_readable( $locale_file ) )
	require_once( $locale_file );
	
// set the layout options	
$options = array (
	
	array(	"name" => __("Site Width", "magazine-premium"),
			"desc" => __("Set the width of your site", "magazine-premium"),
			"id" => "site_width",
			"default" => "980",
			"type" => "site"),
			
	array(  "name" => __("First Sidebar Width", "magazine-premium"),
			"desc" => __("Set width", "magazine-premium"),
            "id" => "sidebar_width1",
			"default" => "300",
            "type" => "first-sidebar"),

	array(  "name" => __("Second Sidebar Width", "magazine-premium"),
			"desc" => __("Set width", "magazine-premium"),
            "id" => "sidebar_width2",
			"default" => "0",
            "type" => "second-sidebar"),

	array(  "name" => __("Sidebar Location", "magazine-premium"),
			"desc" => __("Set location", "magazine-premium"),
            "id" => "sidebar_location1",
			"default" => "2",
            "type" => "location1"),

	array(  "name" => __("Front Page Lower Sidebar Width", "magazine-premium"),
			"desc" => __("Set width", "magazine-premium"),
            "id" => "front_lower_sidebar",
			"default" => "180",
            "type" => "lower-sidebar"),

	array(  "name" => __("Front Page Lower Sidebar Location", "magazine-premium"),
			"desc" => __("Set location (Front page only)", "magazine-premium"),
            "id" => "lower_sidebar_location",
			"default" => "1",
            "type" => "lower-sidebar-location"),			
	
	array(  "name" => __("Display Comment Count", "magazine-premium"),
			"desc" => __("Do you want to display comment numbers?", "magazine-premium"),
            "id" => "comment_count",
			"default" => 1,
            "type" => "comment-count"),

	array(  "name" => __("More Link Text", "magazine-premium"),
			"desc" => __("Set more link text", "magazine-premium"),
            "id" => "more_link_text",
			"default" => "Read More &raquo;",
            "type" => "more-link-text"),	
			
	array(  "name" => __("Header Logo", "magazine-premium"),
			"desc" => __("Set the URL file path to your logo", "magazine-premium"),
            "id" => "logo_header",
            "type" => "logo"),	
			
	array(  "name" => __("Logo or Blog Name Location", "magazine-premium"),
			"desc" => __("Set your blog name/logo location", "magazine-premium"),
            "id" => "logo_location",
			"default" => "fl",
            "type" => "logo-location"),	
			
	array(  "name" => __("User Login", "magazine-premium"),
			"desc" => __("Display a User Login section at the top of your site", "magazine-premium"),
            "id" => "user_login",
			"default" => "1",
            "type" => "login"),

	array(  "name" => __("Login Panel Text", "magazine-premium"),
			"desc" => __("Set the text to display in the login panel", "magazine-premium"),
            "id" => "login_panel_text",
			"default" => "<h1>Welcome to Magazine Premium</h1>
<h2>You can change this text in the options panel in the admin</h2>		
<p class='grey'>There are tons of ways to configure Magazine Premium... The possibilities are endless!</p>",
            "type" => "login-panel-text"),

	array(  "name" => __("Display Dates", "magazine-premium"),
			"desc" => __("Display dates under your post titles", "magazine-premium"),
            "type" => "dates"),

	array(  "id" => "dates_cats",
			"default" => "on"),
	array(  "id" => "dates_posts",
			"default" => "on"),
			
	array(  "name" => __("Display Authors", "magazine-premium"),
			"desc" => __("Display authors under your post titles", "magazine-premium"),
            "type" => "authors"),

	array(  "id" => "authors_cats",
			"default" => "on"),
	array(  "id" => "authors_posts",
			"default" => "on"),			

	array(  "name" => __("Featured Slideshow", "magazine-premium"),
			"desc" => __("Set category", "magazine-premium"),
            "id" => "fp_featured",
			"default" => 1,
            "type" => "featured"),
 
 	array(	"id" => "display_slideshow",
			"default" => "on"),
  
	array(  "name" => __("Image Bar", "magazine-premium"),
			"desc" => __("Set category", "magazine-premium"),
            "id" => "fp_imagebar",
			"default" => 1,
            "type" => "imagebar"), 
			 
 	array(	"id" => "display_imagebar",
			"default" => "on"),
    
	array(  "name" => __("Left Column", "magazine-premium"),
			"desc" => __("Set options", "magazine-premium"),
            "id" => "fp_leftcol",
			"default" => 1,
            "type" => "leftcol"),
    
	array(	"id" => "leftcol_posts",
			"default" => 3),
	array(	"id" => "leftcol_offset",
			"default" => 0),			
	array(	"id" => "leftcol_width",
			"default" => 60),
	array(	"id" => "leftcol_authors",
			"default" => "on"),
	array(	"id" => "leftcol_dates",
			"default" => "on"),
	array(	"id" => "leftcol_image",
			"default" => "on"),
	array(	"id" => "leftcol_imgwidth",
			"default" => 120),
	array(	"id" => "leftcol_imgheight",
			"default" => 80),
	array(	"id" => "leftcol_exorcon",
			"default" => 1),
	array(	"id" => "leftcol_excerpt_limit",
			"default" => 55),			
						

	array(  "name" => __("Right Column", "magazine-premium"),
			"desc" => __("Set options", "magazine-premium"),
            "id" => "fp_rightcol",
			"default" => 1,
            "type" => "rightcol"),
    
	array(	"id" => "rightcol_posts",
			"default" => 4),
	array(	"id" => "rightcol_offset",
			"default" => 0),	
	array(	"id" => "rightcol_authors",
			"default" => "on"),
	array(	"id" => "rightcol_dates",
			"default" => "on"),
	array(	"id" => "rightcol_image",
			"default" => "false"),
	array(	"id" => "rightcol_imgwidth",
			"default" => 60),
	array(	"id" => "rightcol_imgheight",
			"default" => 60),
	array(	"id" => "rightcol_exorcon",
			"default" => 1),
	array(	"id" => "rightcol_excerpt_limit",
			"default" => 20),			
			
	array(  "name" => __("Extended Footer Bar", "magazine-premium"),
			"desc" => __("Display widgetized footer bar", "magazine-premium"),
            "id" => "extended_footer",
 			"default" => "1",
	        "type" => "extended-footer"),			

	array(  "name" => __("First Lower Section", "magazine-premium"),
			"desc" => __("Set options", "magazine-premium"),
            "id" => "fp_section1",
			"default" => 1,
            "type" => "section1"),
    
	array(	"id" => "section1_posts",
			"default" => 1),
	array(	"id" => "section1_display",
			"default" => "on"),			
	array(	"id" => "section1_offset",
			"default" => 0),
	array(	"id" => "section1_width",
			"default" => 1),
	array(	"id" => "section1_image",
			"default" => "on"),
	array(	"id" => "section1_imgwidth",
			"default" => 250),
	array(	"id" => "section1_imgheight",
			"default" => 180),
				
	array(  "name" => __("Second Lower Section", "magazine-premium"),
			"desc" => __("Set options", "magazine-premium"),
            "id" => "fp_section2",
			"default" => 1,
            "type" => "section2"),
    
	array(	"id" => "section2_posts",
			"default" => 4),
	array(	"id" => "section2_display",
			"default" => "on"),		
	array(	"id" => "section2_offset",
			"default" => 0),
	array(	"id" => "section2_width",
			"default" => 2),
	array(	"id" => "section2_image",
			"default" => "on"),
	array(	"id" => "section2_imgwidth",
			"default" => 100),
	array(	"id" => "section2_imgheight",
			"default" => 70),
            
	array(  "name" => __("Site Description", "magazine-premium"),
			"desc" => __("Add meta tag description (Excerpt used on single posts and pages)", "magazine-premium"),
            "id" => "site_description",
            "type" => "site-description"),

	array(  "name" => __("Keywords", "magazine-premium"),
			"desc" => __("Add meta tag keywords, separate by comma (Tags are used on single posts)", "magazine-premium"),
            "id" => "keywords",
            "type" => "keywords"),
				
	array(  "name" => __("Google Analytics", "magazine-premium"),
			"desc" => __("Add your Google Analytics code", "magazine-premium"),
            "id" => "google_analytics",
            "type" => "google"),
						
	array(  "name" => __("Header Ad", "magazine-premium"),
			"desc" => __("Add header ad image/link or JavaScript (suggested size: 468 x 60)", "magazine-premium"),
            "id" => "header_ad",
            "type" => "header-ad"),
			
	array(  "name" => __("Sidebar Ad", "magazine-premium"),
			"desc" => __("Add sidebar ad image/link or JavaScript (suggested size: 125 x 125)", "magazine-premium"),
            "id" => "sidebar_ad",
            "type" => "sidebar-ad"),
			
	array(  "name" => __("Footer Ad", "magazine-premium"),
			"desc" => __("Add footer ad image/link or JavaScript (suggested size: 728 x 90 or 468 x 60)", "magazine-premium"),
            "id" => "footer_ad",
            "type" => "footer-ad"),

	array(  "name" => __("Footer Text", "magazine-premium"),
			"desc" => __("Add custom text to the footer", "magazine-premium"),
            "id" => "footer_text",
            "type" => "footer-text"),
			
	array(  "name" => __("WordPress Link", "magazine-premium"),
			"desc" => __("Display WordPress link in the footer", "magazine-premium"),
            "id" => "footer_wordpress_link",
 			"default" => "1",
	        "type" => "footer-wordpress")						
);

// set the design options
$design_options = array(
		
	array(  "name" => __("Main Content Background", "magazine-premium"),
            "id" => "main_content_bg_color",
            "default" => "FFFFFF",
            "type" => "main-content-bg-color"),			

	array(  "name" => __("Header Background", "magazine-premium"),
            "id" => "header_color",
            "default" => "FFFFFF",
            "type" => "header-color"),

	array(  "name" => __("Text", "magazine-premium"),
            "id" => "text_color",
            "default" => "444444",
            "type" => "text-color"),

	array(  "name" => __("Headers Text", "magazine-premium"),
            "id" => "headers_text_color",
            "default" => "222222",
            "type" => "headers-text-color"),
			
	array(  "name" => __("Links", "magazine-premium"),
            "id" => "link_color",
            "default" => "205B87",
            "type" => "link-color"),
			
	array(  "name" => __("Link Hover", "magazine-premium"),
            "id" => "link_hover_color",
            "default" => "444444",
            "type" => "link-hover-color"),
			
	array(  "name" => __("Nav Menu Links", "magazine-premium"),
            "id" => "nav_menu_link_color",
            "default" => "FFFFFF",
            "type" => "nav-menu-link-color"),
			
	array(  "name" => __("Nav Menu Link Hover", "magazine-premium"),
            "id" => "nav_menu_link_hover_color",
            "default" => "FFFFFF",
            "type" => "nav-menu-link-hover-color"),												

	array(  "name" => __("Nav Menu Background", "magazine-premium"),
            "id" => "nav_menu_bg_color",
            "default" => "272727",
            "type" => "nav-menu-bg-color"),

	array(  "name" => __("Nav Menu Background Hover", "magazine-premium"),
            "id" => "nav_menu_bg_hover_color",
            "default" => "666666",
            "type" => "nav-menu-bg-hover-color"),
			
	array(  "name" => __("Sub-Nav Menu Links", "magazine-premium"),
            "id" => "sub_nav_menu_link_color",
            "default" => "222222",
            "type" => "sub-nav-menu-link-color"),
			
	array(  "name" => __("Sub-Nav Menu Link Hover", "magazine-premium"),
            "id" => "sub_nav_menu_link_hover_color",
            "default" => "444444",
            "type" => "sub-nav-menu-link-hover-color"),						
			
	array(  "name" => __("Side Widget Text", "magazine-premium"),
            "id" => "side_widget_text_color",
            "default" => "444444",
            "type" => "side-widget-text-color"),
			
	array(  "name" => __("Side Widget Background", "magazine-premium"),
            "id" => "side_widget_bg_color",
            "default" => "F6F6F6",
            "type" => "side-widget-bg-color"),						

	array(  "name" => __("Side Widget Links", "magazine-premium"),
            "id" => "side_widget_link_color",
            "default" => "205B87",
            "type" => "side-widget-link-color"),
			
	array(  "name" => __("Side Widget Link Hover", "magazine-premium"),
            "id" => "side_widget_link_hover_color",
            "default" => "444444",
            "type" => "side-widget-link-hover-color"),
			
	array(  "name" => __("Read More Links", "magazine-premium"),
            "id" => "read_more_link_color",
            "default" => "FFFFFF",
            "type" => "read-more-link-color"),
			
	array(  "name" => __("Read More Link Hover", "magazine-premium"),
            "id" => "read_more_link_hover_color",
            "default" => "EEEEEE",
            "type" => "read-more-link-hover-color"),
			
	array(  "name" => __("Read More Links Background", "magazine-premium"),
            "id" => "read_more_link_bg_color",
            "default" => "AAAAAA",
            "type" => "read-more-link-bg-color"),
			
	array(  "name" => __("Read More Link Background Hover", "magazine-premium"),
            "id" => "read_more_link_bg_hover_color",
            "default" => "666666",
            "type" => "read-more-link-bg-hover-color"),						
			
	array(  "name" => __("Main Font", "magazine-premium"),
           "id" => "main_font",
            "default" => "Arial, Helvetica, sans-serif",
            "type" => "main-font"),
			
	array(  "id" => "main_font_size",
            "default" => 12),
			
	array(  "name" => __("Blog Title Font", "magazine-premium"),
           "id" => "title_font",
            "default" => 'Georgia, "Times New Roman", Times, serif',
            "type" => "title-font"),
			
	array(  "id" => "title_font_size",
            "default" => 48),	
			
	array(  "name" => __("Nav Font", "magazine-premium"),
           "id" => "nav_font",
            "default" => "Arial, Helvetica, sans-serif",
            "type" => "nav-font"),
			
	array(  "id" => "nav_font_size",
            "default" => 16),	
			
	array(  "name" => __("Sub-Nav Font", "magazine-premium"),
           "id" => "sub_nav_font",
            "default" => "Arial, Helvetica, sans-serif",
            "type" => "sub-nav-font"),
			
	array(  "id" => "sub_nav_font_size",
            "default" => 12),	
			
	array(  "name" => __("Index Post Title Font", "magazine-premium"),
           "id" => "post_title_font",
            "default" => 'Georgia, "Times New Roman", Times, serif',
            "type" => "post-title-font"),
			
	array(  "id" => "post_title_font_size",
            "default" => 22),	
	
	array(  "name" => __("Single Post Title Font", "magazine-premium"),
           "id" => "post_title_single_font",
            "default" => 'Georgia, "Times New Roman", Times, serif',
            "type" => "post-title-single-font"),
			
	array(  "id" => "post_title_single_font_size",
            "default" => 28),	
	
	array(  "name" => __("Sidebar Text Font", "magazine-premium"),
           "id" => "sidebar_text_font",
            "default" => "Arial, Helvetica, sans-serif",
            "type" => "sidebar-text-font"),
			
	array(  "id" => "sidebar_text_font_size",
            "default" => 12),	
			
	array(  "name" => __("Sidebar Header Font", "magazine-premium"),
           "id" => "sidebar_header_font",
            "default" => 'Georgia, "Times New Roman", Times, serif',
            "type" => "sidebar-header-font"),
			
	array(  "id" => "sidebar_header_font_size",
            "default" => 14)
			
);

// setting up the $values variable
$values = get_option(THEME_FILE);
$designs = get_option(THEME_FILE.'_design');
//delete_option(THEME_FILE);
//delete_option(THEME_FILE.'_design');

function get_index($array, $index) {
  return isset($array[$index]) ? $array[$index] : null;
}

// CALL THEME OPTIONS
function theme_option($var) {
	global $values;
	$val = get_index($values, $var);
	return $val;
}

// CALL DESIGN OPTIONS
function design_option($var) {
	global $designs;
	$val = get_index($designs, $var);
	return $val;
}

// Set all default options
if(!$values) {
	foreach ($options as $default) {
		if(isset($default['id']) && isset($default['default'])) {
			$setdefaultvalues1[ $default['id'] ] = $default['default'];
		}
	}
	update_option(THEME_FILE, $setdefaultvalues1);
}

if(!$designs) {
	foreach ($design_options as $default) {
		if(isset($default['id']) && isset($default['default'])) {
			$setdefaultvalues2[ $default['id'] ] = $default['default'];
		}
	}
	update_option(THEME_FILE.'_design', $setdefaultvalues2);
}

// Ajax save function
function save_theme_callback() {
	global $wpdb; // this is how you get access to the database

	$savevalues = array();
	
	$items = explode("&", $_POST['option']);
	foreach ($items as $value) {
		$key_value = explode("=",$value);
		$key = urldecode($key_value[0]);
		$value = urldecode($key_value[1]);
		$savevalues[ $key ] = $value; 
	}
	
	if(isset($savevalues['custom_css'])) {
		$myFile = dirname(__FILE__)."/admin/css/custom.css";
		$fh = fopen($myFile, 'w') or die("can't open file");
		$stringData = stripslashes($savevalues['custom_css']);
		fwrite($fh, $stringData);
		fclose($fh);
	} elseif(isset($savevalues['savemailinglist'])) {
		$mailinglist = $savevalues['mailinglist'];
		$mailinglisttext = $savevalues['mailinglisttext'];
		update_option('mailing_list', $mailinglist);
		update_option('mailing_list_text', $mailinglisttext);
	} elseif(isset($savevalues['design'])) {
		update_option(THEME_FILE.'_design', $savevalues);
		include("admin/css/theme-style.php");
	} else {
		update_option(THEME_FILE, $savevalues);
		include("admin/css/theme-style.php");
	}
	die();
}
add_action('wp_ajax_save_theme_options', 'save_theme_callback');

function save_mailinglist_callback() {
	global $wpdb; // this is how you get access to the database

	$savevalues = array();
	
	$items = explode("&", $_POST['option']);
	foreach ($items as $value) {
		$key_value = explode("=",$value);
		$key = urldecode($key_value[0]);
		$value = urldecode($key_value[1]);
		$savevalues[ $key ] = $value; 
	}
	
	if(isset($savevalues['mailinglistemail'])) {
		$currentlist = get_option('mailing_list');
		$emails = explode(',',$currentlist);
		foreach($emails as $email) {
			if($savevalues['mailinglistemail'] == $email) {
				$error = true;
			}
		}
		if(isset($error)) {
			echo '<p class="error">'.__("That email is already subscribed.", "magazine-premium").'</p>';	
		} else {
			if(isset($currentlist)) {
				$newlist = $currentlist.",".$savevalues['mailinglistemail'];
			} else {
				$newlist = $savevalues['mailinglistemail'];
			}
			$success = update_option('mailing_list', $newlist);
			if(isset($success)) {
				echo '<strong>'.__('Your email has been added.', "magazine-premium").'</strong>';
			} else {
				echo '<p class="error">'.__('There was a problem. Please try again.', "magazine-premium").'</p>';
			}
		}		
	}
	die();
}

add_action('wp_ajax_save_mailinglist_options', 'save_mailinglist_callback');


// initialize the theme
add_action('admin_menu', 'mytheme_add_admin'); 

function mytheme_add_admin() {
	if(isset($_GET['chmod'])) {
		$path = dirname(__FILE__).'/admin/css/theme-style.css';
		chmod($path, 0666);
		$fileperm = substr(sprintf('%o', fileperms(dirname(__FILE__).'/admin/css/theme-style.css')), -4);
		if($fileperm!=666) {
			header("location: admin.php?page=".THEME_FILE."&setchmod=fail");
			die;
		} else {
			header("location: admin.php?page=".THEME_FILE."&setchmod=success");
			die;
		}
	}

	wp_register_script('colorpicker_js', THEME_URL.'/admin/js/colorpicker.js', array( 'jquery' ),'',true);
	wp_register_script('admin_effects_js', THEME_URL.'/admin/js/effects.js', array( 'jquery' , 'jquery-ui-core' , 'jquery-ui-tabs' ),'',true);
	
	add_menu_page(THEME_FILE, 'Mag Premium', 'manage_options', THEME_FILE, 'pbt_options', THEME_URL.'/admin/images/icon.png');
	$themelayout = add_submenu_page(THEME_FILE, THEME_NAME." - Layout", __("Layout Options", "magazine-premium"), 'manage_options', THEME_FILE, 'pbt_options');
	$themedesign = add_submenu_page(THEME_FILE, THEME_NAME." - Design", __("Design Options", "magazine-premium"), 'manage_options', THEME_FILE.'-design', 'pbt_design');
	$themecss = add_submenu_page(THEME_FILE, THEME_NAME." - Custom CSS", __("Custom CSS", "magazine-premium"), 'manage_options', THEME_FILE.'-CSS', 'pbt_css');
	add_action( "admin_print_scripts-$themelayout", 'pbt_admin_css' );
	add_action( "admin_print_scripts-$themedesign", 'pbt_admin_css' );
	add_action( "admin_print_scripts-$themecss", 'pbt_admin_css' );
	
	// mailing list page
	$mailingListPage = add_options_page('Mailing List', 'Mailing List', 'manage_options', 'mailing-list', 'mailing_list_options');
	add_action( "admin_print_scripts-$mailingListPage", 'pbt_admin_css' );
}

function mailing_list_options() {
?>
	<div id="arturowrap" class="wrap">
		<h2><?php _e("Mailing List", "magazine-premium"); ?></h2>
  		<?php echo '<div id="message" class="updated fade" style="display: none;"><p><strong>'.__("Mailing List Saved", "magazine-premium").'</strong></p></div><br />'."\n"; ?>
 		<form method="post" action="" class="themesbybavotasan">
            <textarea name="mailinglist" id="mailinglist" cols="80" rows="20"><?php echo get_option('mailing_list'); ?></textarea>
            <br />
            <table border="0" cellpadding="0" cellspacing="0" class="optionstable">
            <tr><td><label><?php _e("Display Text", "magazine-premium"); ?></label>&nbsp;</td><td><input name="mailinglisttext" id="mailinglisttext" size="53" value="<?php echo stripslashes(get_option('mailing_list_text')); ?>"  /></td></tr>
            </table>
    		<br />
            <input type="submit" id="savebutton" class="button-primary" value="<?php _e('Save Changes', "magazine-premium") ?>" /><img src="images/wpspin_light.gif" id="mailajax" class="ajaxsave" alt="" />
		    <input type="hidden" name="savemailinglist" value="true" />
		</form>            
	</div>
<?php
}

// load the js and css on theme options page
function pbt_admin_css() {
	echo '<link rel="stylesheet" href="'.THEME_URL.'/admin/css/admin-style.css" />'."\n";
	wp_enqueue_script('colorpicker_js');
	wp_enqueue_script('admin_effects_js');
}

// Setting up the custom css page
function pbt_css() { 
?>
<div id="arturowrap" class="wrap">
    <h2><?php echo THEME_NAME." ".__("Custom CSS", "magazine-premium"); ?></h2>
    <?php echo '<div id="message" class="updated fade" style="display: none;"><p><strong>'.THEME_NAME.' '.__("Custom CSS Saved", "magazine-premium").'</strong></p></div>'."\n"; ?>
   <?php 
	$myFile = TEMPLATEPATH.'/admin/css/custom.css';
	if(!file_exists($myFile)) { ?>
        <div class="bigerror"><?php _e("You need to rename the <code>custom-sample.css</code> file in <strong>THEME_NAME's</strong> <code>admin/css</code> folder to <code>custom.css</code> and make sure permissions are set to 0666 or the Custom CSS editor will not function properly.","magazine-premium"); ?>
        </div>
	<?php } else { 
		$fh = fopen($myFile, 'r') or die("can't open file");
		$custom_CSS = fread($fh, filesize($myFile));
		fclose($fh);
	?> 
    <form method="post" class="custom_css_form" action="" id="themeform">
    <div id="poststuff" class="metabox-holder has-right-sidebar">
        <div id="side-info-column" class="inner-sidebar thinner">
            <a href="http://themes.bavotasan.com" target="_blank"><img src="<?php echo THEME_URL; ?>/admin/images/brand.png" class="bavota bavtop" alt="Themes by bavotasan.com" width="225" height="84"/></a>
            <a href="javascript:{}" id="savecss"></a><div class="ajaxsave"></div>
            <br class="clear" />
            <div class="postbox thinner" id="themeresources">
            	<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span>Resources</span></h3>
                <div class="inside">
                    <ul>
                        <li><a href="http://themes.bavotasan.com" title="Themes by bavotasan.com">Themes by bavotasan.com</a></li>
                        <li><a href="http://support.bavotasan.com" title="<?php _e('Support Forum', "magazine-premium"); ?>"><?php _e('Support Forum', "magazine-premium"); ?></a></li>
                        <li><a href="http://themes.bavotasan.com/affiliates" title="<?php _e('Affiliates Program', "magazine-premium"); ?>"><?php _e('Affiliates Program', "magazine-premium"); ?></a></li>
                        <li><a href="http://bavotasan.com" title="bavotasan.com">bavotasan.com</a></li>
                    </ul>
                 </div>
            </div>
        </div> <!-- end of #side-info-column -->
        <div id="post-body" class="has-sidebar">
            <div id="post-body-content" class="has-sidebar-content thinmain">
                <div id='normal-sortables' class='meta-box-sortables'>
                    <div id="wrapper" class="arturo">
                        <textarea name="custom_css" id="custom_css" class="css" cols="" rows="30" style="width: 100%;"><?php echo stripslashes(trim($custom_CSS)); ?></textarea>	
         	        </div> <!-- end of #wrapper -->
        		</div> <!-- end of #normal-sortables -->
        	</div> <!-- end of #post-body-content -->
        </div> <!-- end of #post-body -->
    </div> <!-- end of #poststuff -->
    </form>
    <?php } ?>
</div> <!-- end of #wrap -->
<?php
}


// Setting up the layout options page tabs
function pbt_options() { 
?>
<div id="arturowrap" class="wrap">
    <h2><?php echo THEME_NAME." ".__("Layout Options", "magazine-premium"); ?></h2>
    <?php
	if(get_index($_GET,'setchmod')=="fail") echo '<div id="warning" class="updated fade"><p>Changing permissions failed. Please set manually.</p></div>';
	if(get_index($_GET,'setchmod')=="success") echo '<div id="warning" class="updated fade"><p>Permissions set.</p></div>';
	$fileperm = substr(sprintf('%o', fileperms(dirname(__FILE__).'/admin/css/theme-style.css')), -4);
	if($fileperm!=666) echo '<div id="warning" class="updated fade"><p>Please set the file permissions for <em>admin/css/theme-style.css</em> to 0666 or <strong>'.THEME_NAME.'</strong>  will not function properly. <a href="admin.php?page=magazine-premium&chmod=true">Set Automatically</a></p></div>';
	?>
    <?php echo '<div id="message" class="updated fade" style="display: none;"><p><strong>'.THEME_NAME.' '.__("Options Saved", "magazine-premium").'</strong></p></div>'."\n"; ?>
    <form method="post" action="" id="themeform" class="themesbybavotasan">
    <div id="poststuff" class="metabox-holder has-right-sidebar">
        <div id="side-info-column" class="inner-sidebar thinner">
            <a href="http://themes.bavotasan.com" target="_blank"><img src="<?php echo THEME_URL; ?>/admin/images/brand.png" class="bavota" alt="Themes by bavotasan.com" width="225" height="84" /></a>
            <a href="javascript:{}" id="savetheme"></a><div class="ajaxsave"></div>
            <br class="clear" />
            <div class="postbox thinner" id="themeresources">
            	<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php _e("Resources", "magazine-premium"); ?></span></h3>
                <div class="inside">
                    <ul>
                        <li><a href="http://themes.bavotasan.com" title="Themes by bavotasan.com">Themes by bavotasan.com</a></li>
                        <li><a href="http://support.bavotasan.com" title="<?php _e('Support Forum', "magazine-premium"); ?>"><?php _e('Support Forum', "magazine-premium"); ?></a></li>
                        <li><a href="http://themes.bavotasan.com/affiliates" title="<?php _e('Affiliates Program', "magazine-premium"); ?>"><?php _e('Affiliates Program', "magazine-premium"); ?></a></li>
                        <li><a href="http://bavotasan.com" title="bavotasan.com">bavotasan.com</a></li>
                    </ul>
 
                </div>
            </div>                    

        </div> <!-- end of #side-info-column -->
        <div id="post-body" class="has-sidebar">
            <div id="post-body-content" class="has-sidebar-content thinmain">
                <div id='normal-sortables' class='meta-box-sortables'>
                    <div id="wrapper" class="arturo">
                        <div id="tabbed">
                        <ul class="tabs">
						<?php
                        $menuPages = array(
							__('Info', "magazine-premium") =>'pbt_info', 
							__('Main', "magazine-premium") =>'pbt_layout_options', 
							__('Header &amp; Footer', "magazine-premium") =>'pbt_header_options', 
							__('Sidebars', "magazine-premium") =>'pbt_sidebars_options', 
							__('Front Page', "magazine-premium") =>'pbt_frontpage_options', 
							__('Ad Space', "magazine-premium") =>'pbt_ad_space_options', 
							__('SEO', "magazine-premium") =>'pbt_seo_options'
						);
                        $x = 1;
                        foreach($menuPages as $menuPage => $pagefunction) {
                            echo '<li><a href="#tabbed-'.$x.'">'.$menuPage.'</a></li>';
                            $x++;
                        }
                        ?>
                        </ul>
                        </div>
                        <?php
                        $x = 1;
                        foreach($menuPages as $menuPage => $pagefunction) {
                            echo '<div class="tab-content" id="tabbed-'.$x.'">';
                            if($x>1) echo '<p class="openclose"><a href="#" class="openall">'.__("Open All", "magazine-premium").' [+]</a><a href="#" class="closeall">'.__("Close All", "magazine-premium").' [-]</a></p>';
                            $pagefunction();
                            echo '</div>';
                            $x++;
                        }	
                        ?>
                    </div> <!-- end of #wrapper -->
        		</div> <!-- end of #normal-sortables -->
        	</div> <!-- end of #post-body-content -->
        </div> <!-- end of #post-body -->
    </div> <!-- end of #poststuff -->
    </form>
</div> <!-- end of #wrap -->
<?php
}

// Setting up the design options page tabs
function pbt_design() { 
?>
<div id="arturowrap" class="wrap">
    <h2><?php echo THEME_NAME." ".__("Design Options", "magazine-premium"); ?></h2>
    <?php echo '<div id="message" class="updated fade" style="display: none;"><p><strong>'.THEME_NAME.' '.__("Options Saved", "magazine-premium").'</strong></p></div>'."\n"; ?>
    <form method="post" action="" id="themeform" class="themesbybavotasan">
    <input type="hidden" name="design" value="true" />
    <div id="poststuff" class="metabox-holder has-right-sidebar">
        <div id="side-info-column" class="inner-sidebar thinner">
            <a href="http://themes.bavotasan.com" target="_blank"><img src="<?php echo THEME_URL; ?>/admin/images/brand.png" class="bavota" alt="Themes by bavotasan.com" width="225" height="84" /></a>
            <a href="javascript:{}" id="savetheme"></a><div class="ajaxsave"></div>
            <br class="clear" />
            <div class="postbox thinner" id="themeresources">
            	<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php _e("Resources", "magazine-premium"); ?></span></h3>
                <div class="inside">
                    <ul>
                        <li><a href="http://themes.bavotasan.com" title="Themes by bavotasan.com">Themes by bavotasan.com</a></li>
                        <li><a href="http://support.bavotasan.com" title="<?php _e('Support Forum', "magazine-premium"); ?>"><?php _e('Support Forum', "magazine-premium"); ?></a></li>
                        <li><a href="http://themes.bavotasan.com/affiliates" title="<?php _e('Affiliates Program', "magazine-premium"); ?>"><?php _e('Affiliates Program', "magazine-premium"); ?></a></li>
                        <li><a href="http://bavotasan.com" title="bavotasan.com">bavotasan.com</a></li>
                    </ul>
 
                </div>
            </div>          
			<br class="clear" />
            <div class="postbox thinner" id="themefontsamples">
            	<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php _e("@font-face Samples", "magazine-premium"); ?></span></h3>
                <div class="inside">
                    <ul>
                        <li><a href="javascript:void(0)" class="screenshot" rel="<?php echo THEME_URL; ?>/admin/css/fonts/adler.jpg">Adler</a></li>
                        <li><a href="javascript:void(0)" class="screenshot" rel="<?php echo THEME_URL; ?>/admin/css/fonts/chantelli.jpg">Chantelli</a></li>
                        <li><a href="javascript:void(0)" class="screenshot" rel="<?php echo THEME_URL; ?>/admin/css/fonts/chunkfive.jpg">Chunkfive</a></li>
                        <li><a href="javascript:void(0)" class="screenshot" rel="<?php echo THEME_URL; ?>/admin/css/fonts/existence.jpg">Existence</a></li>
                        <li><a href="javascript:void(0)" class="screenshot" rel="<?php echo THEME_URL; ?>/admin/css/fonts/galatia.jpg">Galatia</a></li>
                        <li><a href="javascript:void(0)" class="screenshot" rel="<?php echo THEME_URL; ?>/admin/css/fonts/garogier.jpg">Garogier</a></li>
                        <li><a href="javascript:void(0)" class="screenshot" rel="<?php echo THEME_URL; ?>/admin/css/fonts/jott.jpg">Jott FLF</a></li>
                        <li><a href="javascript:void(0)" class="screenshot" rel="<?php echo THEME_URL; ?>/admin/css/fonts/laffayette.jpg">Laffayette</a></li>
                        <li><a href="javascript:void(0)" class="screenshot" rel="<?php echo THEME_URL; ?>/admin/css/fonts/quicksand.jpg">Quicksand</a></li>
                        <li><a href="javascript:void(0)" class="screenshot" rel="<?php echo THEME_URL; ?>/admin/css/fonts/riesling.jpg">Riesling</a></li>
                    </ul>
 
                </div>
            </div>                        

        </div> <!-- end of #side-info-column -->
        <div id="post-body" class="has-sidebar">
            <div id="post-body-content" class="has-sidebar-content thinmain">
                <div id='normal-sortables' class='meta-box-sortables'>
                    <div id="wrapper" class="arturo">
                        <div id="tabbed">
                        <ul class="tabs">
						<?php
                        $menuPages = array(
							__('Main', "magazine-premium") =>'pbt_design_main', 
							__('Menus', "magazine-premium")=>'pbt_design_menus', 
							__('Sidebars', "magazine-premium") =>'pbt_design_sidebars', 
							__('Others', "magazine-premium") =>'pbt_design_others'
						);
                        $x = 1;
                        foreach($menuPages as $menuPage => $pagefunction) {
                            echo '<li><a href="#tabbed-'.$x.'">'.$menuPage.'</a></li>';
                            $x++;
                        }
                        ?>
                        </ul>
                        </div>
                        <?php
                        $x = 1;
                        foreach($menuPages as $menuPage => $pagefunction) {
                            echo '<div class="tab-content" id="tabbed-'.$x.'">';
                            echo '<p class="openclose"><a href="#" class="openall">'.__("Open All", "magazine-premium").' [+]</a><a href="#" class="closeall">'.__("Close All", "magazine-premium").' [-]</a></p>';
                            $pagefunction();
                            echo '</div>';
                            $x++;
                        }	
                        ?>
                    </div> <!-- end of #wrapper -->
        		</div> <!-- end of #normal-sortables -->
        	</div> <!-- end of #post-body-content -->
        </div> <!-- end of #post-body -->
    </div> <!-- end of #poststuff -->
    </form>
</div> <!-- end of #wrap -->
<?php
}

////////////////////////
//
// Default input boxes
//
///////////////////////

// OPEN POSTBOX DIV
function openDiv($valueName, $valueDesc = null) {
?>
<div class="postbox">
    <div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php echo $valueName; ?></span><small><?php if(isset($valueDesc)) echo " - ".$valueDesc; ?></small></h3>
    <div class="inside">
<?php
}

// CLOSE POSTBOX DIV
function closeDiv() {
?>
		<br class="clear" />
	</div>
</div>
<?php
}

// FRONT PAGE COLUMNS
function fp_columns($valueName, $valueDesc = null, $valueID, $colName) {
	openDiv($valueName, $valueDesc); ?>
    <table border="0" cellpadding="0" cellspacing="0" class="optionstable">
    <tr><td><label><?php _e('Category', "magazine-premium"); ?></label></td><td><?php wp_dropdown_categories('show_option_all='.__("All", "magazine-premium").'&name='.$valueID.'&selected='.theme_option($valueID)); ?></td></tr>
    <tr><td><label><?php _e('Number of Posts', "magazine-premium"); ?></label></td><td><input type="text" class="center" size="3" name="<?php echo $colName; ?>_posts" maxlength="2" value="<?php echo theme_option($colName.'_posts'); ?>" /></td></tr>
    <tr><td><label><?php _e('Post Offset', "magazine-premium"); ?></label></td><td><input type="text" class="center" size="3" name="<?php echo $colName; ?>_offset" maxlength="2" value="<?php echo theme_option($colName.'_offset'); ?>" /></td></tr>
    <tr><td><label><?php _e('Column Width', "magazine-premium"); ?></label></td><td><input type="text" class="center" size="3" name="<?php echo $colName; ?>_width" id="<?php echo $colName; ?>_width" maxlength="3" <?php if($colName=="rightcol") echo 'readonly="readonly" value="'.(100-theme_option('leftcol_width')).'"'; else echo 'value="'.theme_option($colName.'_width').'"'; ?> /><label class="label">%</label></td></tr>
    <tr><td><label><?php _e('Display Authors', "magazine-premium"); ?></label></td><td><input name="<?php echo $colName; ?>_authors" type="checkbox" <?php if(theme_option($colName.'_authors') == "on") { echo " checked=\"checked\""; } ?> /></td></tr>
    <tr><td><label><?php _e('Display Dates', "magazine-premium"); ?></label></td><td><input name="<?php echo $colName; ?>_dates" type="checkbox" <?php if(theme_option($colName.'_dates') == "on") { echo " checked=\"checked\""; } ?> /></td></tr>
    <tr><td><label><?php _e('Display Images', "magazine-premium"); ?></label></td><td><input name="<?php echo $colName; ?>_image" type="checkbox" <?php if(theme_option($colName.'_image') == "on") { echo " checked=\"checked\""; } ?> /></td></tr>
    <tr><td><label><?php _e('Image Width', "magazine-premium"); ?></label></td><td><input type="text" class="center" size="3" maxlength="3" name="<?php echo $colName; ?>_imgwidth" value="<?php echo theme_option($colName.'_imgwidth'); ?>" /><label class="label">px</label></td></tr>
    <tr><td><label><?php _e('Image Height', "magazine-premium"); ?></label></td><td><input type="text" class="center" size="3" maxlength="3" name="<?php echo $colName; ?>_imgheight" value="<?php echo theme_option($colName.'_imgheight'); ?>" /><label class="label">px</label></td></tr>
    <tr><td><label><?php _e('Teaser', "magazine-premium"); ?></label></td><td><input type="radio" name="<?php echo $colName; ?>_exorcon" value="1"<?php if(theme_option($colName.'_exorcon')==1) echo ' checked="checked"'; ?> />&nbsp;<label class="set">Excerpt</label>&nbsp;&nbsp;<input type="radio" name="<?php echo $colName; ?>_exorcon" value="2"<?php if(theme_option($colName.'_exorcon')==2) echo ' checked="checked"'; ?> />&nbsp;<label class="set">Content</label></td></tr>
     <tr><td><label><?php _e('Excerpt Limit', "magazine-premium"); ?></label></td><td><input type="text" size="3" class="center" maxlength="3" name="<?php echo $colName; ?>_excerpt_limit" value="<?php echo theme_option($colName.'_excerpt_limit'); ?>" /><label class="label">words</label></td></tr>
    </table>
	<?php closeDiv();
}

// FRONT PAGE LOWER 
function fp_lower($valueName, $valueDesc = null, $valueID, $colName) {
	openDiv($valueName, $valueDesc); ?>
    <table border="0" cellpadding="0" cellspacing="0" class="optionstable">
    <tr><td><label><?php _e('Display', "magazine-premium"); ?></label></td><td><input name="<?php echo $colName; ?>_display" type="checkbox" <?php if(theme_option($colName.'_display') == "on") { echo " checked=\"checked\""; } ?> /></td></tr>
    <tr><td><label><?php _e('Category', "magazine-premium"); ?></label></td><td><?php wp_dropdown_categories('show_option_all='.__("All", "magazine-premium").'&name='.$valueID.'&selected='.theme_option($valueID)); ?></td></tr>
    <tr><td><label><?php _e('Number of Posts', "magazine-premium"); ?></label></td><td><input type="text" class="center" size="3" name="<?php echo $colName; ?>_posts" maxlength="2" value="<?php echo theme_option($colName.'_posts'); ?>" /></td></tr>
    <tr><td><label><?php _e('Post Offset', "magazine-premium"); ?></label></td><td><input type="text" class="center" size="3" name="<?php echo $colName; ?>_offset" maxlength="2" value="<?php echo theme_option($colName.'_offset'); ?>" /></td></tr>					
    <tr><td><label><?php _e('Columns', "magazine-premium"); ?></label></td><td>
    <select id="<?php echo $colName; ?>_width" name="<?php echo $colName; ?>_width">
        <option value="1"<?php if(theme_option($colName.'_width')==1) echo ' selected="selected"'; ?>>1</option>
        <option value="2"<?php if(theme_option($colName.'_width')==2) echo ' selected="selected"'; ?>>2</option>
        <option value="3"<?php if(theme_option($colName.'_width')==3) echo ' selected="selected"'; ?>>3</option>
    </select>
    </td></tr>
    <tr><td><label><?php _e('Display Images', "magazine-premium"); ?></label> </td><td><input name="<?php echo $colName; ?>_image" type="checkbox" <?php if(theme_option($colName.'_image') == "on") { echo " checked=\"checked\""; } ?> /></td></tr>
    <tr><td><label><?php _e('Image Width', "magazine-premium"); ?></label></td><td><input type="text" class="center" size="3" maxlength="3" name="<?php echo $colName; ?>_imgwidth" value="<?php echo theme_option($colName.'_imgwidth'); ?>" /><label class="label">px</label></td></tr>
    <tr><td><label><?php _e('Image Height', "magazine-premium"); ?></label></td><td><input type="text" class="center" size="3" maxlength="3" name="<?php echo $colName; ?>_imgheight" value="<?php echo theme_option($colName.'_imgheight'); ?>" /><label class="label">px</label></td></tr>
    </table>
	<?php closeDiv(); 
}

// CATEGORY & DISPLAY OPTIONS BOX
function catDisplay($valueName, $valueDesc, $valueID, $displayName) {
	openDiv($valueName, $valueDesc); ?>
    <table border="0" cellpadding="0" cellspacing="0" class="optionstable">
        <tr><td><label><?php _e('Category', "magazine-premium"); ?></label></td><td><?php wp_dropdown_categories('show_option_all='.__("All", "magazine-premium").'&name='.$valueID.'&selected='.theme_option($valueID)); ?></td></tr>
        <tr><td><label><?php _e('Display', "magazine-premium"); ?></label></td><td><input name="<?php echo $displayName; ?>" type="checkbox" <?php if(theme_option($displayName) == "on") { echo " checked=\"checked\""; } ?> /></td></tr>
    </table>
    <?php closeDiv();
}

// TEXTAREA
function textAreaBox($rows = 4, $valueName, $valueDesc, $valueID) {
	openDiv($valueName, $valueDesc);
?>
    <textarea name="<?php echo $valueID; ?>" cols="60" rows="<?php echo $rows; ?>"><?php echo stripslashes(theme_option($valueID)); ?></textarea>
<?php
	closeDiv();
}

// INPUT TEXT
function textBox($size = 50, $valueName, $valueDesc, $valueID, $label = null, $maxlength = null, $align = null, $color = null) {
	openDiv($valueName, $valueDesc);
?>
    <input type="text" name="<?php echo $valueID; ?>" size="<?php echo $size; ?>"<?php if(isset($maxlength)) echo ' maxlength="'.$maxlength.'"'; ?><?php if(isset($align)) echo ' class="'.$align.'"'; ?> value="<?php echo theme_option($valueID); ?>" /><?php if(isset($label)) echo '<label style="margin: 9px 0 0 5px;">'.$label.'</label>'; if(isset($color)) echo '<div class="colorpicked" style="background-color:#'.theme_option($valueID).';">&nbsp;</div>'; ?>
<?php
	closeDiv();
}

// RADIO BUTTON
function radioBox($numof = 2, $valueName, $valueDesc, $valueID, $labels = null) {
	if(!isset($labels)) $labels = array( __('Yes', "magazine-premium"), __('No', "magazine-premium") );
	openDiv($valueName, $valueDesc);
	$i = 0;
    for($x=1;$x<=$numof;$x++) {
		echo '<input  name="'.$valueID.'" type="radio" value="'.$x.'"';
		if(theme_option($valueID) == $x) { echo " checked=\"checked\""; }
        echo ' />&nbsp;<label>'.$labels[$i].'</label>&nbsp;&nbsp;';
    	$i++;
    }
	closeDiv();
}

// COLOR BOX
function colorsBox($size = 50, $valueName, $valueID, $label = null, $maxlength = null, $align = null, $color = false) {
	openDiv($valueName);
?>
    <input type="text" name="<?php echo $valueID; ?>" size="<?php echo $size; ?>"<?php if(isset($maxlength)) echo ' maxlength="'.$maxlength.'"'; ?><?php if(isset($align)) echo ' class="'.$align.'"'; ?> value="<?php echo design_option($valueID); ?>" /><?php if(isset($label)) echo '<label style="margin: 9px 0 0 5px;">'.$label.'</label>'; if(isset($color)) echo '<div class="colorpicked" id="'.$valueID.'" style="background-color:#'.design_option($valueID).';">&nbsp;</div>'; ?>
<?php
	closeDiv();
}

// FONTS BOX
function fontsBox($valueName, $valueID) {
	$sizeID = $valueID."_size";
	openDiv($valueName);
?>
    <table border="0" cellpadding="0" cellspacing="0" class="optionstable">
    <tr><td class="left">
    <select name="<?php echo $valueID; ?>">
        <?php 
        $fonts = array(
            "arial, helvetica, sans-serif" => "Arial",
            "'courier new', courier, monospace" => "Courier New",
            "georgia, times, serif" => "Georgia",
            "'lucida console', monaco, monospace" => "Lucida Console",
            "'lucida sans unicode', 'lucida grande', sans-serif" => "Lucida Sans Unicode",
            "tahoma, geneva, sans-serif" => "Tahoma",
            "'times new roman', times, serif" => "Times New Roman",
            "'trebuchet ms', helvetica, sans-serif" => "Trebuchet MS",
            "verdana, geneva, sans-serif" => "Verdana",
            "'AdlerRegular', arial, sans-serif" => "Adler *",							
            "'ChantelliAntiquaRegular', georgia, serif" => "Chantelli Antique *",
            "'ChunkFiveRegular', courier, monospace" => "Chunk Five *",
            "'ExistenceLightRegular', arial, sans-serif" => "Existence *",
            "'GalatiaSILRegular', times, serif" => "Galatia *",
            "'GarogierRegular', georgia, serif" => "Garogier *",
            "'JottFLFRegular', georgia, serif" => "Jott FLF *",							
            "'LaffayetteComicProRegular', 'Comic Sans MS', arial, sans-serif" => "Laffayette *",							
            "'QuicksandLight', arial, sans-serif" => "Quicksand *",
            "'RieslingRegular', times, serif" => "Riesling *"							
        );
        foreach($fonts as $font => $name) {
            echo '<option value="'.$font.'"';
            if(stripslashes(design_option($valueID)) == $font) echo ' selected="selected"';
            echo '>'.$name.'</option>'."\n";
        
        }
        ?>			
    </select>
    </td><td>&nbsp;<label class="label">Size:</label> <input type="text" size="2" maxlength="2" class="center" name="<?php echo $sizeID; ?>" value="<?php echo design_option($sizeID); ?>" /><label class="label">px</label></td>
    </tr></table>
<?php
	closeDiv();
}


#####################
##  the info page  ##
#####################

function pbt_info() { 
?>
    <img src="<?php echo THEME_URL; ?>/screenshot.png" alt="<?php echo THEME_NAME; ?>" class="theme" width="200" height="150" />
    <?php
    echo '<ul><li><strong>'.__('Version', "magazine-premium").':</strong> '.THEME_VERSION.'</li><li><strong>'.__('Author', "magazine-premium").':</strong> <a href="http://bavotasan.com/">c.bavota</a></li><li><strong>'.__('Built by', "magazine-premium").':</strong> <a href="http://themes.bavotasan.com/">Themes by bavotasan.com</a></li><li><strong>'.__('Theme page', "magazine-premium").':</strong> <a href="'.THEME_HOMEPAGE.'">'.THEME_NAME.'</a></li></ul>'; 
    printf(__("<p>Thank you for downloading <strong>%s</strong>. Hope you enjoy using it!</p>
    <p>There are tons of layout possibilities available with this theme, as well as a bunch of cool features that will surely help you get your site looking and working it's best.</p>", "magazine-premium"), THEME_NAME);
     printf(__('<p>If an update to <strong>%s</strong> is available, you can download it by logging into your account on the <a href="http://themes.bavotasan.com/themers">Themers Only</a> Web site.</p>', "magazine-premium"), THEME_NAME);
    _e('<p>Here are some guides to get your started:</p>
<ul>
<li><a href="http://support.bavotasan.com/topic/how-to-set-the-post-thumbnail">How to set the Post Thumbnail?</a></li>
<li><a href="http://support.bavotasan.com/topic/setting-up-the-custom-css-editor">Setting Up the Custom CSS Editor</a></li>
</ul>', "magazine-premium"); 
    _e('<p>For more instructions and documentation, check out the <a href="http://support.bavotasan.com/forum/documentation/">Documentation</a> section of our <a href="http://support.bavotasan.com/">Support Forum</a>.</p>', "magazine-premium"); 
    _e('<p>If you have any questions, comments, or if you encounter a bug, please visit our <a href="http://support.bavotasan.com/">Support Forum</a> and let us know.</p>', "magazine-premium"); 
}

###############################
##  the layout options page  ##
###############################

function pbt_layout_options() {
	global $options;

	foreach ($options as $value) { 
		switch ( get_index($value,'type') ) {
	
			case "site":
				textBox(4, $value['name'], $value['desc'], $value['id'], 'px', 4, 'center');			
			break;
				
			case "dates":
				openDiv($value['name'], $value['desc']);
			?>
					<input name="dates_cats" type="checkbox" <?php if(theme_option("dates_cats") == "on") { echo " checked=\"checked\""; } ?> />&nbsp;<label><?php _e("Categories, Archives, Search Pages", "magazine-premium"); ?></label>
					&nbsp;&nbsp;<input name="dates_posts" type="checkbox" <?php if(theme_option("dates_posts") == "on") { echo " checked=\"checked\""; } ?> />&nbsp;<label><?php _e("Single Posts", "magazine-premium"); ?></label>
			<?php 
				closeDiv();
			break;
	
			case "authors":
				openDiv($value['name'], $value['desc']);
			?>
				<input name="authors_cats" type="checkbox" <?php if(theme_option("authors_cats") == "on") { echo " checked=\"checked\""; } ?> />&nbsp;<label><?php _e("Categories, Archives, Search Pages", "magazine-premium"); ?></label>
				&nbsp;&nbsp;<input name="authors_posts" type="checkbox" <?php if(theme_option("authors_posts") == "on") { echo " checked=\"checked\""; } ?> />&nbsp;<label><?php _e("Single Posts", "magazine-premium"); ?></label>
			<?php 
				closeDiv();
			break;

			case "comment-count":
				radioBox(2, $value['name'], $value['desc'], $value['id']);
			break;	

			case "more-link-text":
				textBox(50, $value['name'], $value['desc'], $value['id']);			
			break;
		}
	}
}

###############################
##  the header options page  ##
###############################

function pbt_header_options() {
    global $options;

	foreach ($options as $value) { 
		switch ( get_index($value,'type') ) {
	
			case "logo":
				openDiv($value['name'], $value['desc']);
			?>
				<input type="text" size="50" name="<?php echo $value['id']; ?>" value="<?php echo theme_option($value['id']); ?>" />
				<?php 
				echo '<div class="headerlogo"></div>';
				closeDiv();
			break;
			
			case "logo-location":
				openDiv($value['name'], $value['desc']);
			?>
				<table>
					<tr>
						<td style="padding-right: 15px;">
							<img src="<?php echo THEME_URL; ?>/admin/images/logoleft.png" alt="" />
						</td>
						<td style="padding-right: 15px;">
							<img src="<?php echo THEME_URL; ?>/admin/images/logoright.png" alt="" />
						</td>
						<td style="padding-right: 15px;">
							<img src="<?php echo THEME_URL; ?>/admin/images/logomiddle.png" alt="" />
						</td>
					</tr>
					<tr>
						<td align="center" style="padding-right: 15px;">
							<input  name="<?php echo $value['id']; ?>" type="radio" value="fl"<?php if(theme_option($value['id']) == "fl") { echo " checked=\"checked\""; } ?> />
						</td>
						<td align="center" style="padding-right: 15px;">
							<input  name="<?php echo $value['id']; ?>" type="radio" value="fr"<?php if(theme_option($value['id']) == "fr") { echo " checked=\"checked\""; } ?> />
						</td>
						<td align="center" style="padding-right: 15px;">
							<input  name="<?php echo $value['id']; ?>" type="radio" value="aligncenter"<?php if(theme_option($value['id']) == "aligncenter") { echo " checked=\"checked\""; } ?> />
						</td>
					</tr>
				</table>
			<?php 
				closeDiv();
			break;			

			case "login":
				radioBox(2, $value['name'], $value['desc'], $value['id']);
			break;

			case "login-panel-text":
				textAreaBox(6, $value['name'], $value['desc'], $value['id']);
			break;

			case "footer-wordpress":
				radioBox(2, $value['name'], $value['desc'], $value['id']);
			break;	

			case "footer-text":
				textAreaBox(4, $value['name'], $value['desc'], $value['id']);
			break;						
		}
	}	
}


#################################
##  the sidebars options page  ##
#################################

function pbt_sidebars_options() {
	global $options;

	foreach ($options as $value) { 
		switch ( get_index($value,'type') ) {
				
			case "first-sidebar":
				textBox(4, $value['name'], $value['desc'], $value['id'], 'px', 4, 'center');			
			break;
			   
			case "second-sidebar":
				textBox(4, $value['name'], $value['desc'], $value['id'], 'px', 4, 'center');			
			break;			   
			   
			case "location1":
				openDiv($value['name'], $value['desc']);
			?>
				<div id="oneSidebar">
					<table>
						<tr>
							<td style="padding-right: 15px;">
								<img src="<?php echo THEME_URL; ?>/admin/images/oneleft.png" alt="One Left" />
							</td>
							<td style="padding-right: 15px;">
								<img src="<?php echo THEME_URL; ?>/admin/images/oneright.png" alt="One Right" />
							</td>
						</tr>
						<tr>
							<td align="center" style="padding-right: 15px;">
								<input  name="<?php echo $value['id']; ?>" type="radio" value="1"<?php if(theme_option($value['id']) == "1") { echo " checked=\"checked\""; } ?> />
							</td>
							<td align="center" style="padding-right: 15px;">
								<input  name="<?php echo $value['id']; ?>" type="radio" value="2"<?php if(theme_option($value['id']) == "2") { echo " checked=\"checked\""; } ?> />
							</td>
						</tr>
					</table>
				</div>
				<div id="twoSidebar">
					<table>
						<tr>
							<td style="padding-right: 15px;">
								<img src="<?php echo THEME_URL; ?>/admin/images/twoleft.png" alt="" />
							</td>
							<td style="padding-right: 15px;">
								<img src="<?php echo THEME_URL; ?>/admin/images/tworight.png" alt="" />
							</td>
							<td style="padding-right: 15px;">
								<img src="<?php echo THEME_URL; ?>/admin/images/twoseparate.png" alt="" />
							</td>
						</tr>
						<tr>
							<td align="center" style="padding-right: 15px;">
								<input  name="<?php echo $value['id']; ?>" type="radio" value="3"<?php if(theme_option($value['id']) == "3") { echo ' checked="checked"'; } ?> />
							</td>
							<td align="center" style="padding-right: 15px;">
								<input  name="<?php echo $value['id']; ?>" type="radio" value="4"<?php if(theme_option($value['id']) == "4") { echo ' checked="checked"'; } ?> />
							</td>
							<td align="center" style="padding-right: 15px;">
								<input  name="<?php echo $value['id']; ?>" type="radio" value="5"<?php if(theme_option($value['id']) == "5") { echo ' checked="checked"'; } ?> />
							</td>
						</tr>
					</table>
				</div>
				<p class="locerror"></p>
			<?php 
				closeDiv();
			break;
				
			case "lower-sidebar":
			?>
			<div id="rightWidth">
				<?php textBox(4, $value['name'], $value['desc'], $value['id'], 'px', 4, 'center'); ?>
			</div>           
			<?php
			break;
			
			case "lower-sidebar-location":
			?>
			<div id="rightlocation">
				<?php openDiv($value['name'], $value['desc']); ?>
					<table>
						<tr>
							<td style="padding-right: 15px;">
								<img src="<?php echo THEME_URL; ?>/admin/images/oneleft.png" alt="One Left" />
							</td>
							<td style="padding-right: 15px;">
								<img src="<?php echo THEME_URL; ?>/admin/images/oneright.png" alt="One Right" />
							</td>
						</tr>
						<tr>
							<td align="center" style="padding-right: 15px;">
								<input  name="<?php echo $value['id']; ?>" type="radio" value="1"<?php if(theme_option($value['id']) == "1") { echo " checked=\"checked\""; } ?> />
							</td>
							<td align="center" style="padding-right: 15px;">
								<input  name="<?php echo $value['id']; ?>" type="radio" value="2"<?php if(theme_option($value['id']) == "2") { echo " checked=\"checked\""; } ?> />
							</td>
						</tr>
					</table>
				<?php closeDiv(); ?>
			</div>
			<?php break;	
			
			case "extended-footer":
				radioBox(2, $value['name'], $value['desc'], $value['id']);
			break;						
		} 
	}
}

###################################
##  the front page options page  ##
###################################

function pbt_frontpage_options() {
    global $options;

	foreach ($options as $value) { 
		switch ( get_index($value,'type') ) {
			
			case "featured":
			?>
			<table border="0" cellpadding="0" cellspacing="0" class="sidebyside">
			<tr>
			<td class="left">	
				<?php catDisplay($value['name'], $value['desc'], $value['id'], 'display_slideshow'); ?>
			</td>
			<?php
			break;		
			
			case "imagebar":
			?>
			<td>
				<?php catDisplay($value['name'], $value['desc'], $value['id'], 'display_imagebar'); ?>
			</td>
			</tr>
			<?php
			break;
						
			case "leftcol":
			?>
			<tr>
			<td class="left">
				<?php fp_columns($value['name'], $value['desc'], $value['id'], 'leftcol'); ?>
			</td>
			<?php
			break;			
	
			case "rightcol":
			?>
			<td>
				<?php fp_columns($value['name'], $value['desc'], $value['id'], 'rightcol'); ?>
			</td>
			</tr>
			</table>
			<?php
			break;				
	
			case "section1":
			?>
			<table border="0" cellpadding="0" cellspacing="0" class="sidebyside">
			<tr>
			<td class="left">
				<?php fp_lower($value['name'], $value['desc'], $value['id'], 'section1'); ?>
			</td>
			<?php
			break;	
			
			case "section2":
			?>
			<td>
				<?php fp_lower($value['name'], $value['desc'], $value['id'], 'section2'); ?>
			</td>
			</tr>
			</table>
			<?php
			break;						
		}
	}
}

###################################
##  the colors main page  ##
###################################

function pbt_design_main() {
    global $design_options;

	foreach ($design_options as $value) { 
		switch ( get_index($value,'type') ) {
	
			case "main-content-bg-color":
				echo '<table border="0" cellpadding="0" cellspacing="0" class="sidebyside"><tr><td class="left">';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td>';
			break;	

			case "header-color":
				echo '<td>';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td></tr>';
			break;
				
			case "text-color":
				echo '<tr><td class="left">';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td>';
			break;	
			
			case "headers-text-color":
				echo '<td>';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td></tr>';
			break;

			case "link-color":
				echo '<tr><td class="left">';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td>';
			break;	
			
			case "link-hover-color":
				echo '<td>';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td></tr>';
			break;
			
			case "main-font":
				echo '<tr><td class="left">';
				fontsBox($value['name'], $value['id']);
				echo '</td>';
			break;
			
			case "title-font":
				echo '<td>';
				fontsBox($value['name'], $value['id']);
				echo '</td></tr>';
			break;
			
			case "post-title-font":
				echo '<tr><td class="left">';
				fontsBox($value['name'], $value['id']);
				echo '</td>';
			break;
			
			case "post-title-single-font":
				echo '<td>';
				fontsBox($value['name'], $value['id']);
				echo '</td></tr></table>';
			break;				
		}
	}
}

###################################
##  the colors menus page  ##
###################################

function pbt_design_menus() {
    global $design_options;

	foreach ($design_options as $value) { 
		switch ( get_index($value,'type') ) {
			
			case "nav-menu-link-color":
				echo '<table border="0" cellpadding="0" cellspacing="0" class="sidebyside"><tr><td class="left">';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td>';
			break;
			
			case "nav-menu-link-hover-color":
				echo '<td>';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td></tr>';
			break;			
			
			case "nav-menu-bg-color":
				echo '<tr><td class="left">';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td>';
			break;	
			
			case "nav-menu-bg-hover-color":
				echo '<td>';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td></tr>';
			break;	

			case "sub-nav-menu-link-color":
				echo '<tr><td class="left">';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td>';
			break;	
			
			case "sub-nav-menu-link-hover-color":
				echo '<td>';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td></tr>';
			break;	

			case "nav-font":
				echo '<tr><td class="left">';
				fontsBox($value['name'], $value['id']);
				echo '</td>';
			break;	
			
			case "sub-nav-font":
				echo '<td>';
				fontsBox($value['name'], $value['id']);
				echo '</td></tr></table>';
			break;				
		}
	}
}

###################################
##  the colors options page  ##
###################################

function pbt_design_sidebars() {
    global $design_options;

	foreach ($design_options as $value) { 
		switch ( get_index($value,'type') ) {
			
			case "side-widget-text-color":
				echo '<table border="0" cellpadding="0" cellspacing="0" class="sidebyside"><tr><td class="left">';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td>';
			break;	
			
			case "side-widget-bg-color":
				echo '<td>';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td></tr>';
			break;		
			
			case "side-widget-link-color":
				echo '<tr><td class="left">';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td>';
			break;	
			
			case "side-widget-link-hover-color":
				echo '<td>';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td></tr>';
			break;																			

			case "sidebar-text-font":
				echo '<tr><td class="left">';
				fontsBox($value['name'], $value['id']);
				echo '</td>';
			break;

			case "sidebar-header-font":
				echo '<td>';
				fontsBox($value['name'], $value['id']);
				echo '</td></tr></table>';
			break;	
		}
	}
}

###################################
##  the desing others page  ##
###################################

function pbt_design_others() {
    global $design_options;

	foreach ($design_options as $value) { 
		switch ( get_index($value,'type') ) {
	
			case "read-more-link-color":
				echo '<table border="0" cellpadding="0" cellspacing="0" class="sidebyside"><tr><td class="left">';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td>';
			break;	
			
			case "read-more-link-hover-color":
				echo '<td>';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td></tr>';
			break;	
			
			case "read-more-link-bg-color":
				echo '<tr><td class="left">';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td>';
			break;	
			
			case "read-more-link-bg-hover-color":
				echo '<td>';
				colorsBox(6, $value['name'], $value['id'], '', 6, 'center picker', true);
				echo '</td></tr></table>';
			break;																									
		}
	}
}

#################################
##  the ad space options page  ##
#################################

function pbt_ad_space_options() {
    global $options;

	foreach ($options as $value) { 
		switch ( get_index($value,'type') ) {
	
			case "header-ad":
				textAreaBox(4, $value['name'], $value['desc'], $value['id']);
			break;
	
			case "sidebar-ad":
				textAreaBox(4, $value['name'], $value['desc'], $value['id']);
			break;
	
			case "footer-ad":
				textAreaBox(4, $value['name'], $value['desc'], $value['id']);
			break;
		}
	}
}

############################
##  the seo options page  ##
############################

function pbt_seo_options() {
    global $options;

	foreach ($options as $value) { 
		switch ( get_index($value,'type') ) {
	
			case "site-description":
				textAreaBox(4, $value['name'], $value['desc'], $value['id']);
			break;
	
			case "keywords":
				textAreaBox(4, $value['name'], $value['desc'], $value['id']);
			break;
	
			case "google":
				textAreaBox(6, $value['name'], $value['desc'], $value['id']);
			break;
		}
	}
}

function pbt_widgets_init() {
	wp_register_script('effects_js', THEME_URL.'/js/effects.js', array( 'jquery' , 'jquery-ui-core' , 'jquery-ui-tabs' ),'',true);

	// include the widgets
	include(TEMPLATEPATH.'/widgets/widget_tabs.php');
	include(TEMPLATEPATH.'/widgets/widget_sideads.php');
	include(TEMPLATEPATH.'/widgets/widget_login.php'); 
	include(TEMPLATEPATH.'/widgets/widget_feature.php'); 
	include(TEMPLATEPATH.'/widgets/widget_contributors.php'); 
	include(TEMPLATEPATH.'/widgets/widget_twitter.php'); 
	
	// Initiating the sidebars
	register_sidebar(array(
		'name' => __('Sidebar One', "magazine-premium"),
		'id' => 'sidebar-one',
		'description' => __( "The site wide first sidebar", "magazine-premium" ),
		'before_widget' => '<div id="%1$s" class="side-widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	
	if (theme_option('sidebar_width2')!=0) {
		register_sidebar(array(
		'name' => __('Sidebar Two', "magazine-premium"),
		'id' => 'secondsidebar',
		'description' => __( "The site wide second sidebar", "magazine-premium" ),
		'before_widget' => '<div id="%1$s" class="side-widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
		));
	}
	
	if (theme_option('front_lower_sidebar')!=0) {
		register_sidebar(array(
		'name' => __('Front Page Lower Sidebar', "magazine-premium"),
		'id' => 'front_lower_sidebar',
		'description' => __( "The lower sidebar on the front page", "magazine-premium" ),
		'before_widget' => '<div id="%1$s" class="side-widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
		));
	}	
	register_sidebar(array(
		'name' => __('Extended Footer', "magazine-premium"),
		'id' => 'extended-footer',
		'description' => __( "The extended footer", "magazine-premium" ),
		'before_widget' => '<div id="%1$s" class="bottom-widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
}
add_action( 'init', 'pbt_widgets_init' );

// Tags for keywords
function csv_tags() {
    $posttags = get_the_tags();
	$csv_tags = '';
    if($posttags) {
		foreach((array)$posttags as $tag) {
			$csv_tags .= $tag->name . ',';
		}
	}
    echo '<meta name="keywords" content="'.$csv_tags.theme_option('keywords').'" />';
}

// Theme excerpts
function theme_excerpt($num, $readmore = true) {
	if($readmore) {
		$link = '<br /><a href="'.get_permalink().'" class="more-link">'.theme_option('more_link_text').'</a>';
	} else {
		$link = "";
	}
	$limit = $num;
	if(!$limit) $limit = 55;
	$excerpt = explode(' ', get_the_excerpt(), $limit);
	if (count($excerpt)>=$limit) {
		array_pop($excerpt);
		$excerpt = implode(" ",$excerpt).'...'.$link;
	} else {
		$excerpt = implode(" ",$excerpt).$link;
	}	
	$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
	echo '<p>'.$excerpt.'</p>';
}

// Theme contents
function theme_content($readmore) {
	$content = get_the_content($readmore);
	$content = preg_replace("/<img[^>]+\>/i", "", $content); 
	$content = preg_replace('/\[.+\]/','', $content);
	$content = apply_filters('the_content', $content);
	$content = str_replace(']]>', ']]&gt;', $content);
	echo $content;
}

// Meta description
function metaDesc() {
	$content = strip_tags(get_the_content());
	if($content) {
		$content = preg_replace('/\[.+\]/','', $content);
		$content = ereg_replace("[\n\r]", "\t", $content);
		$content = ereg_replace("\t\t+", " ", $content);
		$content = htmlentities($content);
	} else {
		$content = htmlentities(theme_option('site_description'));
	}
	if (strlen($content) < 155) {
		echo $content;
	} else {
		$desc = substr($content,0,155);
		echo $desc."...";
	}
}

// image grabber function
function resize($w,$h,$class='alignleft',$showlink=true) {
	global $more, $post;
	$title = get_the_title();
	if($showlink) {
		$link = "<a href='".get_permalink()."' title='$title'>";
		$linkend = "</a>";
	} else {
		$link ="";
		$linkend="";
	}
	$more = 1;
	$content = get_the_content();
	$pattern = '/<img[^>]+src[\\s=\'"]';
	$pattern .= '+([^"\'>\\s]+)/is';
	$more = 0;
	if(preg_match($pattern,$content,$match)) {
		$theImage =  "$link<img src=\"$match[1]\" class=\"$class\" alt=\"$title\" width=\"$w\" height=\"$h\" />$linkend\n\n";
		return $theImage;
	}
}

// Comments
function mytheme_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	<div id="comment-<?php comment_ID(); ?>">
        <div class="comment-avatar">
        	<?php echo get_avatar( $comment, 40 ); ?>
        </div>     
        <div class="comment-author">
        	<?php echo get_comment_author_link()." ";
        	printf(__('on %1$s at %2$s', "magazine-premium"), get_comment_date(),get_comment_time()); 
			edit_comment_link(__('(Edit)', "magazine-premium"),'  ','');
			?>
        </div>
        <div class="comment-text">
	        <?php if ($comment->comment_approved == '0') { _e('<em>Your comment is awaiting moderation.</em>', "magazine-premium"); } ?>
        	<?php comment_text() ?>
        </div>
        <?php if($args['max_depth']!=$depth && comments_open()) { ?>
        <div class="reply">
        	<?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
        </div>
        <?php } ?>
	</div>
<?php
}

// popular posts
function popularPosts($num) {
    global $wpdb;

    $posts = $wpdb->get_results("SELECT comment_count, ID, post_title FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , $num");
	$popular = '';

    foreach ($posts as $post) {
        $id = $post->ID;
        $title = $post->post_title;
        $count = $post->comment_count;

        if ($count != 0) {
            $popular .= '<li>';
            $popular .= '<a href="' . get_permalink($id) . '" title="' . $title . '">' . $title . '</a> ';
            $popular .= '</li>';
        }
    }
    return $popular;
}

### Function: Page Navigation: Boxed Style Paging
function pagination($before = '', $after = '') {
	global $wpdb, $wp_query;
	$pagenavi_options = array();
	$pagenavi_options['pages_text'] = __('Page %CURRENT_PAGE% of %TOTAL_PAGES%',"magazine-premium");
	$pagenavi_options['current_text'] = '%PAGE_NUMBER%';
	$pagenavi_options['page_text'] = '%PAGE_NUMBER%';
	$pagenavi_options['first_text'] = __('First Page',"magazine-premium");
	$pagenavi_options['last_text'] = __('Last Page',"magazine-premium");
	$pagenavi_options['next_text'] = '&raquo;';
	$pagenavi_options['prev_text'] = '&laquo;';
	$pagenavi_options['dotright_text'] = '...';
	$pagenavi_options['dotleft_text'] = '...';
	$pagenavi_options['num_pages'] = 5;
	$pagenavi_options['always_show'] = 0;
	$pagenavi_options['num_larger_page_numbers'] = 0;
	$pagenavi_options['larger_page_numbers_multiple'] = 5;
	if (!is_single()) {
		$request = $wp_query->request;
		$posts_per_page = intval(get_query_var('posts_per_page'));
		$paged = intval(get_query_var('paged'));
		$numposts = $wp_query->found_posts;
		$max_page = $wp_query->max_num_pages;
		if(empty($paged) || $paged == 0) {
			$paged = 1;
		}
		$pages_to_show = intval($pagenavi_options['num_pages']);
		$larger_page_to_show = intval($pagenavi_options['num_larger_page_numbers']);
		$larger_page_multiple = intval($pagenavi_options['larger_page_numbers_multiple']);
		$pages_to_show_minus_1 = $pages_to_show - 1;
		$half_page_start = floor($pages_to_show_minus_1/2);
		$half_page_end = ceil($pages_to_show_minus_1/2);
		$start_page = $paged - $half_page_start;
		if($start_page <= 0) {
			$start_page = 1;
		}
		$end_page = $paged + $half_page_end;
		if(($end_page - $start_page) != $pages_to_show_minus_1) {
			$end_page = $start_page + $pages_to_show_minus_1;
		}
		if($end_page > $max_page) {
			$start_page = $max_page - $pages_to_show_minus_1;
			$end_page = $max_page;
		}
		if($start_page <= 0) {
			$start_page = 1;
		}
		$larger_per_page = $larger_page_to_show*$larger_page_multiple;
		$larger_start_page_start = (n_round($start_page, 10) + $larger_page_multiple) - $larger_per_page;
		$larger_start_page_end = n_round($start_page, 10) + $larger_page_multiple;
		$larger_end_page_start = n_round($end_page, 10) + $larger_page_multiple;
		$larger_end_page_end = n_round($end_page, 10) + ($larger_per_page);
		if($larger_start_page_end - $larger_page_multiple == $start_page) {
			$larger_start_page_start = $larger_start_page_start - $larger_page_multiple;
			$larger_start_page_end = $larger_start_page_end - $larger_page_multiple;
		}
		if($larger_start_page_start <= 0) {
			$larger_start_page_start = $larger_page_multiple;
		}
		if($larger_start_page_end > $max_page) {
			$larger_start_page_end = $max_page;
		}
		if($larger_end_page_end > $max_page) {
			$larger_end_page_end = $max_page;
		}
		if($max_page > 1 || intval($pagenavi_options['always_show']) == 1) {
			$pages_text = str_replace("%CURRENT_PAGE%", number_format_i18n($paged), $pagenavi_options['pages_text']);
			$pages_text = str_replace("%TOTAL_PAGES%", number_format_i18n($max_page), $pages_text);
			echo $before.'<div class="pagination">'."\n";
			if(!empty($pages_text)) {
				echo '<span class="pages">'.$pages_text.'</span>';
			}
			previous_posts_link($pagenavi_options['prev_text']);
			if ($start_page >= 2 && $pages_to_show < $max_page) {
				$first_page_text = str_replace("%TOTAL_PAGES%", number_format_i18n($max_page), $pagenavi_options['first_text']);
				echo '<a href="'.esc_url(get_pagenum_link()).'" class="first" title="'.$first_page_text.'">1</a>';
				if(!empty($pagenavi_options['dotleft_text'])) {
					echo '<span class="extend">'.$pagenavi_options['dotleft_text'].'</span>';
				}
			}
			if($larger_page_to_show > 0 && $larger_start_page_start > 0 && $larger_start_page_end <= $max_page) {
				for($i = $larger_start_page_start; $i < $larger_start_page_end; $i+=$larger_page_multiple) {
					$page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($i), $pagenavi_options['page_text']);
					echo '<a href="'.esc_url(get_pagenum_link($i)).'" class="page" title="'.$page_text.'">'.$page_text.'</a>';
				}
			}
			for($i = $start_page; $i  <= $end_page; $i++) {						
				if($i == $paged) {
					$current_page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($i), $pagenavi_options['current_text']);
					echo '<span class="current">'.$current_page_text.'</span>';
				} else {
					$page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($i), $pagenavi_options['page_text']);
					echo '<a href="'.esc_url(get_pagenum_link($i)).'" class="page" title="'.$page_text.'">'.$page_text.'</a>';
				}
			}
			if ($end_page < $max_page) {
				if(!empty($pagenavi_options['dotright_text'])) {
					echo '<span class="extend">'.$pagenavi_options['dotright_text'].'</span>';
				}
				$last_page_text = str_replace("%TOTAL_PAGES%", number_format_i18n($max_page), $pagenavi_options['last_text']);
				echo '<a href="'.esc_url(get_pagenum_link($max_page)).'" class="last" title="'.$last_page_text.'">'.$max_page.'</a>';
			}
			next_posts_link($pagenavi_options['next_text'], $max_page);
			if($larger_page_to_show > 0 && $larger_end_page_start < $max_page) {
				for($i = $larger_end_page_start; $i <= $larger_end_page_end; $i+=$larger_page_multiple) {
					$page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($i), $pagenavi_options['page_text']);
					echo '<a href="'.esc_url(get_pagenum_link($i)).'" class="page" title="'.$page_text.'">'.$page_text.'</a>';
				}
					}

			echo '</div>'.$after."\n";
		}
	}
}

### Function: Round To The Nearest Value
function n_round($num, $tonearest) {
   return floor($num/$tonearest)*$tonearest;
}

function curPageURL() {
 $pageURL = 'http';
 if (get_index($_SERVER,"HTTPS") == "on") {$pageURL .= "s";}
 $pageURL .= "://";
 if (get_index($_SERVER,"SERVER_PORT") != "80") {
  $pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
 } else {
  $pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
 }
 return $pageURL;
}

// Functions to add meta boxes to the post edit page
$site = theme_option('site_width');
$sidebar = theme_option('sidebar_width1');
if($sidebar!=0) $buffer = 80; else $buffer = 40;	
$content =  $site - $sidebar - $buffer;
$slideWidth = $content-250;

$new_meta_boxes =
	array(
		"subtitle" => array(
		"name" => "pbt_subtitle",
		"std" => "",
		"title" => __("Subtitle", "magazine-premium"))
	);

function pbt_new_meta_boxes() {
	global $post, $new_meta_boxes;
	echo '<table>';
	foreach($new_meta_boxes as $meta_box) {
		$meta_box_value = get_post_meta($post->ID, $meta_box['name'].'_value', true);
	
		if($meta_box_value == "")
			$meta_box_value = $meta_box['std'];
		echo '<tr><td>';
		echo '<span style="font-size: 12px;">'.$meta_box['title'].'&nbsp;&raquo;&nbsp;</span>';
		echo '</td><td>';	
		echo '<input type="hidden" name="'.$meta_box['name'].'_noncename" id="'.$meta_box['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
		echo '<input type="text" name="'.$meta_box['name'].'_value" value="'.$meta_box_value.'" size="55" />';
		echo '</td></tr>';
		}
	echo '</table>';
}

function pbt_layout_option() {
	global $post;
	$layout = get_post_meta($post->ID, 'pbt_single_layout', true);
	$single_sidebar_width = get_post_meta($post->ID, 'pbt_single_sidebar_width', true);
	echo '<table border="0" cellpadding="0" cellspacing="5">';
	echo '<tr><td><input name="pbt_single_layout" type="radio" value="1"'; if($layout == 1 || !$layout) echo ' checked="checked"'; echo ' /></td><td>'.__('Default', "magazine-premium").'</td></tr>';
	echo '<tr><td><input name="pbt_single_layout" type="radio" value="2"'; if($layout == 2) echo ' checked="checked"'; echo ' /></td><td>'.__('Full width', "magazine-premium").'</td></tr>';
	echo '</table>';
}

function pbt_create_meta_box() {
	if ( function_exists('add_meta_box') ) {
		add_meta_box( 'pbt-settings', THEME_NAME." ".__('Settings', "magazine-premium"), 'pbt_new_meta_boxes', 'post', 'normal', 'high' );
		add_meta_box( 'pbt-layout-options', __('Layout', "magazine-premium"), 'pbt_layout_option', 'post', 'side', 'low' );
		add_meta_box( 'pbt-layout-options', __('Layout', "magazine-premium"), 'pbt_layout_option', 'page', 'side', 'low' );
	}
}

function pbt_save_postdata( $post_id ) {
	global $post, $new_meta_boxes;
	
	if($_POST['pbt_single_layout']) update_post_meta($post_id, 'pbt_single_layout', $_POST['pbt_single_layout']);
	if($_POST['pbt_single_sidebar_width']) update_post_meta($post_id, 'pbt_single_sidebar_width', $_POST['pbt_single_sidebar_width']);

	foreach($new_meta_boxes as $meta_box) {
		// Verify
		if ( !wp_verify_nonce( $_POST[$meta_box['name'].'_noncename'], plugin_basename(__FILE__) )) {
			return $post_id;
		}
	
		if ( 'page' == $_POST['post_type'] ) {
		if ( !current_user_can( 'edit_page', $post_id ))
			return $post_id;
		} else {
			if ( !current_user_can( 'edit_post', $post_id ))
				return $post_id;
		}
	
		$data = $_POST[$meta_box['name'].'_value'];
	
		if(get_post_meta($post_id, $meta_box['name'].'_value') == "")
			add_post_meta($post_id, $meta_box['name'].'_value', $data, true);
		elseif($data != get_post_meta($post_id, $meta_box['name'].'_value', true))
			update_post_meta($post_id, $meta_box['name'].'_value', $data);
		elseif($data == "")
			delete_post_meta($post_id, $meta_box['name'].'_value', get_post_meta($post_id, $meta_box['name'].'_value', true));
	}
}

add_action('admin_menu', 'pbt_create_meta_box');
add_action('save_post', 'pbt_save_postdata');

function new_excerpt_length($length) {
	return 200;
}
add_filter('excerpt_length', 'new_excerpt_length');

function short_title($after = '', $length) {
	$mytitle = explode(' ', get_the_title(), $length);
	if (count($mytitle)>=$length) {
		array_pop($mytitle);
		$mytitle = implode(" ",$mytitle). $after;
	} else {
		$mytitle = implode(" ",$mytitle);
	}
	echo $mytitle;
}
// This theme allows users to set a custom background
if(function_exists('add_custom_background')) add_custom_background();

// This theme uses wp_nav_menu()
if(function_exists('register_nav_menu')) {
	add_theme_support( 'nav-menus' );
	register_nav_menu('main', 'Main Navigation Menu');
	register_nav_menu('sub', 'Sub-Navitation Menu');
}

add_theme_support( 'automatic-feed-links' );

function display_none() {

}

function display_home() {
	echo '<div class="main-navigation"><ul class="sf-menu"><li><a href="'.get_bloginfo('url').'">Home</a></li>';
	wp_list_categories('title_li=&depth=1&number=5');
	echo '</ul></div>';
}

/* ADDING NEW THUMBNAIL STUFF */
if(!function_exists('pbt_AddThumbColumn') && function_exists('add_theme_support')) {
 	add_theme_support('post-thumbnails', array('post', 'page', 'product'));
 
	function pbt_AddThumbColumn($cols) {
		$cols['thumbnail'] = __('Thumbnail', "magazine-premium");
		return $cols;
	}
 
	function pbt_AddThumbValue($column_name, $post_id) {
		$width = (int) 35;
		$height = (int) 35;

		if ( 'thumbnail' == $column_name ) {
			// thumbnail of WP 2.9
			$thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
			// image from gallery
			if ($thumbnail_id) {
				$thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
			}
			if(isset($thumb) && $thumb) {
				echo $thumb;
			} else {
				echo __('None', "magazine-premium");
			}
		}
	}
 
	// for posts
	add_filter( 'manage_posts_columns', 'pbt_AddThumbColumn' );
	add_action( 'manage_posts_custom_column', 'pbt_AddThumbValue', 10, 2 );
 
	// for pages
	add_filter( 'manage_pages_columns', 'pbt_AddThumbColumn' );
	add_action( 'manage_pages_custom_column', 'pbt_AddThumbValue', 10, 2 );
	
	$site = theme_option('site_width');
	$sidebar = theme_option('sidebar_width1');
	if($sidebar!=0) $buffer = 70; else $buffer = 32;	
	$slideWidth =  $site - $sidebar - $buffer - 250;
	$imagebarWidth = round(($site/5)-($site/30));
	define("IMAGEBARWIDTH", $imagebarWidth);
	define("SLIDESHOWWIDTH", $slideWidth);
	
	add_image_size( 'slideshow-thumb', 80, 50, true ); // Slideshow thumbnail size
	add_image_size( 'slideshow', $slideWidth, 248, true ); // Slideshow main image size
	add_image_size( 'leftcol-thumb',  theme_option('leftcol_imgwidth'), theme_option('leftcol_imgheight'), true ); // Left column thumbnail size
	add_image_size( 'rightcol-thumb',  theme_option('rightcol_imgwidth'), theme_option('rightcol_imgheight'), true ); // Right column thumbnail size
	add_image_size( 'section1-thumb',  theme_option('section1_imgwidth'), theme_option('section1_imgheight'), true ); // Lower section one column thumbnail size
	add_image_size( 'section2-thumb',  theme_option('section2_imgwidth'), theme_option('section2_imgheight'), true ); // Lower section two column thumbnail size
	add_image_size( 'imagebar-thumb',  $imagebarWidth, $imagebarWidth-60, true ); // Imagebar thumbnail size
}

add_filter('body_class','fullWidth');

function fullWidth($classes = '') {
	global $post;
	$full = get_post_meta($post->ID, 'pbt_single_layout', true);
	if($full==2) $classes[] = 'fullwidth';
	return $classes;
}

?>